# pqxx::internal::reactivation_avoidance_counter Class Reference

`#include <connection_base.hxx>`

List of all members.

## Public Member Functions
| reactivation_avoidance_counter ()
void | add (int n) throw ()
void | clear () throw ()
int | get () const throw ()
void | give_to (reactivation_avoidance_counter &rhs) throw ()

## Constructor & Destructor Documentation

pqxx::internal::reactivation_avoidance_counter::reactivation_avoidance_counter | ( |  | ) |

## Member Function Documentation

void pqxx::internal::reactivation_avoidance_counter::add | ( | int | n | ) | throw ()

Referenced by pqxx::internal::sql_cursor::close(), and pqxx::internal::sql_cursor::sql_cursor().

void pqxx::internal::reactivation_avoidance_counter::clear | ( |  | ) | throw ()

Referenced by pqxx::connection_base::close(), give_to(), and pqxx::internal::reactivation_avoidance_exemption::reactivation_avoidance_exemption().

int pqxx::internal::reactivation_avoidance_counter::get | ( |  | ) | const throw ()

Referenced by pqxx::connection_base::activate(), pqxx::connection_base::deactivate(), and pqxx::dbtransaction::do_begin().

void pqxx::internal::reactivation_avoidance_counter::give_to | ( | reactivation_avoidance_counter & | rhs | ) | throw ()

References clear().

Referenced by pqxx::transaction_base::End().

The documentation for this class was generated from the following file:

- connection_base.hxx